# $EPIC: ctcp_request,v 1.3 2002/08/20 01:57:38 kitambi Exp $
Synopsis:
   on [<modes>]ctcp_request [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client receives a standard CTCP
   request (SED UTC ACTION DCC VERSION CLIENTINFO USERINFO ERRMSG 
   FINGER TIME PING ECHO) whether directly or one sent to a channel it is on.

Parameters:
   $0    nickname of CTCP message sender
   $1    target of CTCP (client's nickname or channel name)
   $2    type of CTCP
   $3-   arguments to CTCP command, if any

Examples:
   To customize CTCP VERSION replies:
      on ^ctcp_request "% % VERSION *" {
        notice $0 AVERSION ircII $J + myscriptA
      }

See Also:
   ctcp(1); on(5) ctcp, ctcp_reply

Restrictions:
   Automatic replies from within this hook are limited by the irc protocol.
   Since a CTCP is really just a PRIVMSG, the client may only automatically
   reply with NOTICEs, not MSGs.  Any attempt to send a MSG or CTCP from
   within this hook will result in it automatically being converted to a
   NOTICE (or CTCP REPLY).

Other Notes:
   Although this hook catches standard CTCP requests, you still must use on ctcp
   to catch unknown CTCP requests (for implementation of CDCC lists and such.)  This
   behavior may change in the future.
